Subject: bug#17386: 24.3.90; emacs_abort in cmcheckmagic

From: Nicolas Richard <[email-masked]>
Date: Mon, 05 May 2014 12:27:39 +0200

Le 03/05/2014 11:16, Eli Zaretskii a écrit :
> My understanding from this was that tmux reserves one screen line for
> its status, and also that it can split a TTY into several portions,
> each one emulating a separate terminal.

Yes.

Here's a picture of what tmux does :
http://tmux.sourceforge.net/tmux3.png

What I called "status line" is the last one. The different windows are
called 'panes' in tmux parlance.

Btw, I tried another experiment, using "cat", to see if SIGWINCH is sent~:

$ gdb cat
(gdb) handle SIGWINCH print
Signal        Stop	Print	Pass to program	Description
SIGWINCH      No	Yes	Yes		Window size changed
(gdb) r -
Starting program: /bin/cat -
warning: Could not load shared library symbols for linux-gate.so.1.
Do you need "set solib-search-path" or "set sysroot"?

#### At this point I maximized then unmaximized the window.

Program received signal SIGWINCH, Window size changed.

Program received signal SIGWINCH, Window size changed.
[Inferior 1 (process 21202) exited normally]
(gdb) 

I tried the same with emacs but saw nothing:

$ gdb emacs 
(gdb) handle SIGWINCH print
Signal        Stop	Print	Pass to program	Description
SIGWINCH      No	Yes	Yes		Window size changed
(gdb) r -Q -nw
Starting program: /usr/local/bin/emacs -Q -nw
warning: Could not load shared library symbols for linux-gate.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
[New Thread 0xb6386b40 (LWP 21216)]
[Thread 0xb673c880 (LWP 21212) exited]
[Inferior 1 (process 21212) exited normally]
(gdb) 

There's nothing to see on this transcript, but I did change the window
size after running "r -Q -nw", just like with "cat" above, before
exiting emacs. I don't know what this means.

-- 
Nico.